Reset Search
 

 

Article

KB40318 - Impact / Changes between V3 and V4 OPSWAT SDK

« Go Back

Information

 
Last Modified Date4/20/2017 2:09 PM
Synopsis
This article provides information about the changes between V3 and V4 OPSWAT SDK and the impact to end users.
Problem or Goal
Cause
Solution
Starting in PCS 8.1R12 / PCS 8.2R5 / PPS 5.3R5, Host Checker now supports the V4 version of OPSWAT SDK.  By default, OPSWAT V3 SDK will remain enabled until the PCS/PPS administrator is ready to migrate to OPSWAT V4 SDK.


Requirements to support OPSWAT V4 SDK 

  • Standalone Host Checker via browser or Network Connect - None.
  • Pulse Secure Desktop client - All clients MUST upgrade to Pulse Secure Desktop 5.2R5 before transitioning to OPSWAT SDK V4.



If I transition to OPSWAT V4 SDK, what will happen if an end user connects with Pulse Secure Desktop version 5.2R4 and below?

Since Pulse Secure Desktop 5.2R4 does not support the OPSWAT V4 SDK binaries, the Pulse client will be unable to send details to the PCS device and be treated as a failed compliance check.


After upgrading to Pulse Secure Desktop client 5.2R5, can a end user still connect to an older version of PCS/PPS (prior to 8.1R12 / 8.2R5 / 5.3R5) which uses OPSWAT V3 SDK?

Yes.  Pulse Secure Desktop 5.2R5 (and above) is compatible with both OPSWAT V3 and V4 SDK.
 

How do I enabled OPSWAT V4 SDK?

Under Endpoint Security > Host Checker, uncheck the option for "Activate Older Opswat SDK in ESAP for Host checker policy evaluation" and click Activate.
User-added image
 

After enabling V4 SDK, I am getting prompts stating the product is no longer supported or host checker rules may become empty.  What should I do?

During the switch, the administrator may receive prompts due to the following reasons:
  • OPSWAT V4 SDK does not support older version of security products (released prior to 2013).  If these type of products were configured with using V3 SDK, they will be removed during the switch to V4 SDK.
  • Some product and vendor names were changed between V4 and V3 SDK version.  For example, "Symantec Corp." in V3 SDK was changed to "Symantec Corporation" in V4 SDK.  The administrator should make a note what products or vendors were be affected during the transition and will need to configure the host checker policies with the new names.
Related Links
Attachment 1 
Created ByK. Kitajima

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255